ao-bringup: get turnon_easymega working for v2.0
[fw/altos] / ao-bringup / turnon_easymega
index b14ed2ab9895c835d20f3de84bdb2775753db31b..64180bd3b9a3976fd41649c294f02a5063fb2bd9 100755 (executable)
@@ -1,26 +1,25 @@
 #!/bin/sh
 
 PRODUCT=EasyMega
+VERSION=2.0
+REPO=~/altusmetrumllc/Binaries
 
-if [ -x ../ao-tools/ao-flash/ao-flash-stm ]; then
-       STMLOAD=../ao-tools/ao-flash/ao-flash-stm
+if [ -x /usr/bin/ao-flash-stm ]; then
+       FLASH_STM=/usr/bin/ao-flash-stm
 else
        echo "Can't find ao-flash-stm!  Aborting."
        exit 1
 fi
 
-if [ -x ../ao-tools/ao-usbload/ao-usbload ]; then
-       USBLOAD=../ao-tools/ao-usbload/ao-usbload
+if [ -x /usr/bin/ao-usbload ]; then
+       USBLOAD=/usr/bin/ao-usbload
 else
        echo "Can't find ao-usbload!  Aborting."
        exit 1
 fi
 
-VERSION=1.0
-REPO=~/altusmetrumllc/Binaries
-
 echo "$PRODUCT v$VERSION Turn-On and Calibration Program"
-echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
+echo "Copyright 2018 by Bdale Garbee.  Released under GPL v2"
 echo
 echo "Expectations:"
 echo "\t$PRODUCT v$VERSION"
@@ -43,17 +42,17 @@ case $# in
        ;;
 esac
 
-echo $STMLOAD
+echo $FLASH_STM
 
-$STMLOAD $REPO/loaders/easymega-v$VERSION*.elf || exit 1
+$FLASH_STM $REPO/loaders/easymega-v$VERSION*.elf
 
-sleep 2
+sleep 3
 
 $USBLOAD --serial=$SERIAL $REPO/easymega-v$VERSION*.elf || exit 1
 
-sleep 2
+sleep 5
 
-dev=`../ao-tools/ao-list/ao-list | awk '/'"$PRODUCT"'-v'"$VERSION"'/ { print $3; exit(0); }'`
+dev=`ao-list | awk '/'"$PRODUCT"'-v'"$VERSION"'/ { print $3; exit(0); }'`
 
 case "$dev" in
 /dev/tty*)
@@ -67,7 +66,11 @@ esac
 
 echo 'E 0' > $dev
 
-../ao-tools/ao-cal-accel/ao-cal-accel $dev || exit 1
+failed=1
+while [ $failed =  1 ]; do
+    ../ao-tools/ao-cal-accel/ao-cal-accel $dev
+    failed=$?
+done
 
 echo 'E 1' > $dev